Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface WebDeploymentMBean

All Known Subinterfaces:
  WebAppComponentMBean

public interface WebDeploymentMBean
extends DeploymentMBean

A Web Deployment is any MBean that may be deployed on one or more target or WebServers. Deployments of this type get deployed on web servers. Any target specified through the "Targets" attribute of the deployment are deployed on the default web server of that deployment. Targets specified through the "WebServers" attribute of the deployment are specified in the specified Web Server.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`boolean` | `addWebServer(WebServerMBean target)` Add a target
`WebServerMBean[]` | `getWebServers()` Returns targets on which this deployment is deployed.
`boolean` | `removeWebServer(WebServerMBean target)` Remove a target.
`void` | `setWebServers(WebServerMBean[] WebServers)` Set the targets for this deployment

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getWebServers

    public WebServerMBean[] getWebServers()

  Returns targets on which this deployment is deployed.

### setWebServers

    public void setWebServers(WebServerMBean[] WebServers)
                       throws javax.management.InvalidAttributeValueException,
                              DistributedManagementException

  Set the targets for this deployment

  A dynamic MBean attribute

### addWebServer

    public boolean addWebServer(WebServerMBean target)
                         throws javax.management.InvalidAttributeValueException,
                                DistributedManagementException

  Add a target

  A dynamic MBean attribute

### removeWebServer

    public boolean removeWebServer(WebServerMBean target)
                            throws DistributedManagementException

  Remove a target.

  A dynamic MBean attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD